Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# DomainC.cpp File Reference

`#include "DomainC.h"`
`#include "tao/Stub.h"`
`#include "tao/Invocation.h"`
`#include "tao/PortableInterceptor.h"`
`#include "tao/RequestInfo_Util.h"`
`#include "tao/ClientRequestInfo.h"`
`#include "tao/ClientInterceptorAdapter.h"`
`#include "tao/IFR_Client_Adapter.h"`
`#include "ace/Dynamic_Service.h"`
`#include "DomainC.i"`

Include dependency graph for DomainC.cpp:

## Compounds
class | TAO_ClientRequestInfo_CORBA_ConstructionPolicy_make_domain_manager
class | TAO_ClientRequestInfo_CORBA_DomainManager_get_domain_policy
## Defines
#define | __TAO_UNBOUNDED_OBJECT_SEQUENCE_CORBA_DOMAINMANAGERLIST_CS_
#define | _CORBA_DOMAINMANAGERLIST_CS_
## Functions
CORBA_DomainManager_ptr | tao_CORBA_DomainManager_duplicate ( CORBA_DomainManager_ptr p )
void | tao_CORBA_DomainManager_release ( CORBA_DomainManager_ptr p )
CORBA_DomainManager_ptr | tao_CORBA_DomainManager_nil ( void )
CORBA_DomainManager_ptr | tao_CORBA_DomainManager_narrow ( CORBA::Object *p, CORBA::Environment &ACE_TRY_ENV )
CORBA::Object* | tao_CORBA_DomainManager_upcast ( void *src )
CORBA::TypeCode | _tc_TAO_tc_CORBA_DomainManager ( CORBA::tk_objref, sizeof (_oc_CORBA_DomainManager), (char *) &_oc_CORBA_DomainManager, 0, sizeof (CORBA_DomainManager) )
| TAO_NAMESPACE_TYPE (const CORBA::ULong) TAO_NAMESPACE_BEGIN (CORBA) TAO_NAMESPACE_DEFINE ( const CORBA
void | tao_CORBA_ConstructionPolicy_release ( CORBA_ConstructionPolicy_ptr p )
CORBA_ConstructionPolicy_ptr | tao_CORBA_ConstructionPolicy_nil ( void )
CORBA_ConstructionPolicy_ptr | tao_CORBA_ConstructionPolicy_narrow ( CORBA::Object *p, CORBA::Environment &ACE_TRY_ENV )
CORBA::Object* | tao_CORBA_ConstructionPolicy_upcast ( void *src )
CORBA::TypeCode | _tc_TAO_tc_CORBA_ConstructionPolicy ( CORBA::tk_objref, sizeof (_oc_CORBA_ConstructionPolicy), (char *) &_oc_CORBA_ConstructionPolicy, 0, sizeof (CORBA_ConstructionPolicy) )
CORBA::TypeCode | _tc_TAO_tc_CORBA_DomainManagerList ( CORBA::tk_alias, sizeof (_oc_CORBA_DomainManagerList), (char *) &_oc_CORBA_DomainManagerList, 0, sizeof (CORBA_DomainManagerList) )
void | operator<<= (CORBA::Any &_tao_any, CORBA_DomainManager_ptr _tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, CORBA_DomainManager_ptr &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, CORBA_ConstructionPolicy_ptr _tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, CORBA_ConstructionPolicy_ptr &_tao_elem)
void | operator<<= ( CORBA::Any &_tao_any, const CORBA_DomainManagerList &_tao_elem )
void | operator<<= (CORBA::Any &_tao_any, CORBA_DomainManagerList *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, CORBA_DomainManagerList *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const CORBA_DomainManagerList *&_tao_elem)
CORBA::Boolean | operator<< ( TAO_OutputCDR &strm, const CORBA_DomainManager_ptr _tao_objref )
CORBA::Boolean | operator>> ( TAO_InputCDR &strm, CORBA_DomainManager_ptr &_tao_objref )
CORBA::Boolean | operator<< ( TAO_OutputCDR &strm, const CORBA_ConstructionPolicy_ptr _tao_objref )
CORBA::Boolean | operator>> ( TAO_InputCDR &strm, CORBA_ConstructionPolicy_ptr &_tao_objref )
CORBA::Boolean | operator<< ( TAO_OutputCDR &strm, const CORBA_DomainManagerList &_tao_sequence )
CORBA::Boolean | operator>> ( TAO_InputCDR &strm, CORBA_DomainManagerList &_tao_sequence )
## Variables
_TAO_CORBA_DomainManager_Proxy_Broker* (* | CORBA__TAO_CORBA_DomainManager_Proxy_Broker_Factory_function_pointer )( CORBA::Object_ptr obj ) = 0
const CORBA::Long | _oc_CORBA_DomainManager []
CORBA::TypeCode_ptr | _tc_CORBA_DomainManager = &_tc_TAO_tc_CORBA_DomainManager
_TAO_CORBA_ConstructionPolicy_Proxy_Broker* (* | CORBA__TAO_CORBA_ConstructionPolicy_Proxy_Broker_Factory_function_pointer )( CORBA::Object_ptr obj ) = 0
const CORBA::Long | _oc_CORBA_ConstructionPolicy []
CORBA::TypeCode_ptr | _tc_CORBA_ConstructionPolicy = &_tc_TAO_tc_CORBA_ConstructionPolicy
const CORBA::Long | _oc_CORBA_DomainManagerList []
CORBA::TypeCode_ptr | _tc_CORBA_DomainManagerList = &_tc_TAO_tc_CORBA_DomainManagerList

## Define Documentation

#define _CORBA_DOMAINMANAGERLIST_CS_

#define __TAO_UNBOUNDED_OBJECT_SEQUENCE_CORBA_DOMAINMANAGERLIST_CS_

## Function Documentation

TAO_NAMESPACE_TYPE ( | CORBA:: ULong ) const

CORBA::TypeCode _tc_TAO_tc_CORBA_ConstructionPolicy ( | CORBA::tk_objref,
| sizeof(_oc_CORBA_ConstructionPolicy),
| (char *)& _oc_CORBA_ConstructionPolicy,
| 0,
| sizeof(CORBA_ConstructionPolicy) )`[static]`

CORBA::TypeCode _tc_TAO_tc_CORBA_DomainManager ( | CORBA::tk_objref,
| sizeof(_oc_CORBA_DomainManager),
| (char *)& _oc_CORBA_DomainManager,
| 0,
| sizeof(CORBA_DomainManager) )`[static]`

CORBA::TypeCode _tc_TAO_tc_CORBA_DomainManagerList ( | CORBA::tk_alias,
| sizeof(_oc_CORBA_DomainManagerList),
| (char *)& _oc_CORBA_DomainManagerList,
| 0,
| sizeof(CORBA_DomainManagerList) )`[static]`

CORBA::Boolean operator<< ( | TAO_OutputCDR & strm,
| const CORBA_DomainManagerList & _tao_sequence )

CORBA::Boolean operator<< ( | TAO_OutputCDR & strm,
| const CORBA_ConstructionPolicy_ptr _tao_objref )

CORBA::Boolean operator<< ( | TAO_OutputCDR & strm,
| const CORBA_DomainManager_ptr _tao_objref )

void operator<<= ( | CORBA::Any & _tao_any,
| CORBA_DomainManagerList * _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| const CORBA_DomainManagerList & _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| CORBA_ConstructionPolicy_ptr _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| CORBA_DomainManager_ptr _tao_elem )

CORBA::Boolean operator>> ( | TAO_InputCDR & strm,
| CORBA_DomainManagerList & _tao_sequence )

CORBA::Boolean operator>> ( | TAO_InputCDR & strm,
| CORBA_ConstructionPolicy_ptr & _tao_objref )

CORBA::Boolean operator>> ( | TAO_InputCDR & strm,
| CORBA_DomainManager_ptr & _tao_objref )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| const CORBA_DomainManagerList *& _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| CORBA_DomainManagerList *& _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| CORBA_ConstructionPolicy_ptr & _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| CORBA_DomainManager_ptr & _tao_elem )

CORBA_ConstructionPolicy_ptr tao_CORBA_ConstructionPolicy_narrow ( | CORBA::Object * p,
| CORBA::Environment & ACE_TRY_ENV )

CORBA_ConstructionPolicy_ptr tao_CORBA_ConstructionPolicy_nil ( | void )

void tao_CORBA_ConstructionPolicy_release ( | CORBA_ConstructionPolicy_ptr p )

CORBA::Object * tao_CORBA_ConstructionPolicy_upcast ( | void * src )

CORBA_DomainManager_ptr tao_CORBA_DomainManager_duplicate ( | CORBA_DomainManager_ptr p )

CORBA_DomainManager_ptr tao_CORBA_DomainManager_narrow ( | CORBA::Object * p,
| CORBA::Environment & ACE_TRY_ENV )

CORBA_DomainManager_ptr tao_CORBA_DomainManager_nil ( | void )

void tao_CORBA_DomainManager_release ( | CORBA_DomainManager_ptr p )

CORBA::Object * tao_CORBA_DomainManager_upcast ( | void * src )

## Variable Documentation

TAO_Export _TAO_CORBA_ConstructionPolicy_Proxy_Broker *(* CORBA__TAO_CORBA_ConstructionPolicy_Proxy_Broker_Factory_function_pointer)(CORBA::Object_ptr obj)

TAO_Export _TAO_CORBA_DomainManager_Proxy_Broker *(* CORBA__TAO_CORBA_DomainManager_Proxy_Broker_Factory_function_pointer)(CORBA::Object_ptr obj)

const CORBA::Long _oc_CORBA_ConstructionPolicy[]`[static]`

| Initializer:
    {
      TAO_ENCAP_BYTE_ORDER,
      41,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x6f6d672e),
      ACE_NTOHL (0x6f72672f),
      ACE_NTOHL (0x434f5242),
      ACE_NTOHL (0x412f436f),
      ACE_NTOHL (0x6e737472),
      ACE_NTOHL (0x75637469),
      ACE_NTOHL (0x6f6e506f),
      ACE_NTOHL (0x6c696379),
      ACE_NTOHL (0x3a312e30),
      ACE_NTOHL (0x0),
      19,
      ACE_NTOHL (0x436f6e73),
      ACE_NTOHL (0x74727563),
      ACE_NTOHL (0x74696f6e),
      ACE_NTOHL (0x506f6c69),
      ACE_NTOHL (0x63790000),
    }

const CORBA::Long _oc_CORBA_DomainManager[]`[static]`

| Initializer:
    {
      TAO_ENCAP_BYTE_ORDER,
      36,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x6f6d672e),
      ACE_NTOHL (0x6f72672f),
      ACE_NTOHL (0x434f5242),
      ACE_NTOHL (0x412f446f),
      ACE_NTOHL (0x6d61696e),
      ACE_NTOHL (0x4d616e61),
      ACE_NTOHL (0x6765723a),
      ACE_NTOHL (0x312e3000),
      14,
      ACE_NTOHL (0x446f6d61),
      ACE_NTOHL (0x696e4d61),
      ACE_NTOHL (0x6e616765),
      ACE_NTOHL (0x72000000),
    }

const CORBA::Long _oc_CORBA_DomainManagerList[]`[static]`

TAO_Export CORBA::TypeCode_ptr _tc_CORBA_ConstructionPolicy = &_tc_TAO_tc_CORBA_ConstructionPolicy

TAO_Export CORBA::TypeCode_ptr _tc_CORBA_DomainManager = &_tc_TAO_tc_CORBA_DomainManager

TAO_Export CORBA::TypeCode_ptr _tc_CORBA_DomainManagerList = &_tc_TAO_tc_CORBA_DomainManagerList